<?php
/**
 * Greentext
 *
 * Plugin Name: Greentext
 * Plugin URI:  https://wordpress.org/plugins/greentext/
 * Description: Enables >greentexting in comments, posts, and pages. The greentext can be customized via CSS or left default green.
 * Version:     1.0.1
 * Author:      swack
 * Author URI:  https://twitter.com/swack
 * License:     GPLv2 or later
 * License URI: http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * Text Domain: greentext
 * Domain Path: /languages
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU
 * General Public License version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

function greentext($comment)
{
	$treated = "";
	$lines = explode(PHP_EOL, $comment);

	foreach($lines as $line)
	{
		$treated .= substr($line, 0, 1) == ">" ? '<span style="color:green"><span class="greentext">' . $line . '</span></span>' : substr($line, 0, 4) == "&gt;" ? '<span style="color:green"><span class="greentext">' . $line . '</span></span>' : $line;
		$treated .= PHP_EOL;
	}
	
	return $treated;
}

// Applies greentext to comments
add_action('comment_text', 'greentext', 1);

// Applies greentext to posts and pages
add_action('the_content', 'greentext', 1);

?>